commit:     67092cd25e67b140a556f8be4389523805bc4bba
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 20 23:26:51 2015 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Oct 20 23:27:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67092cd2

dev-lang/ispc: add upstream patch to support llvm-3.7

Details on github ispc/ispc#1106

Gentoo-Bug: #562630

Package-Manager: portage-2.2.20.1

 dev-lang/ispc/Manifest             |  1 +
 dev-lang/ispc/ispc-1.8.2-r3.ebuild | 57 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-lang/ispc/Manifest b/dev-lang/ispc/Manifest
index dc652ab..8665512 100644
--- a/dev-lang/ispc/Manifest
+++ b/dev-lang/ispc/Manifest
@@ -1 +1,2 @@
+DIST ispc-1.8.2-llvm-3.7.patch.gz 15723 SHA256 
8fc724b7076b0d288cf1ffeb1d71cfdbba8bf54e5923c1b862572646f6f29931 SHA512 
7ad3997e8c0168d83bdc9cd0444e48467c31f9f497105ea6a98c358f8dd1db5c9acba636e5d86e6aed77c16f2a9d776142a3f2f9d2e3780ffddbb116e6679054
 WHIRLPOOL 
9f92edb0dbec381f43dea9b929683186254a8824cbf8b213d460166b03bf952555b0386f9346732e1ad5bd8ba90dac3c7ef531be94b30dd3288918026ae60064
 DIST ispc-1.8.2.tar.gz 19259133 SHA256 
d17ea68b7192d261a2830d6e00df656a73fbccd08a249433fcaf24a886902a9d SHA512 
bb1f64afe41af138c386fb12a2a7f477f7bc8df2543191bbe7e5d7624e6b00dfec11ba422f6f396cd91af1c7b4cb5d2b3febf7902740d85c6d068de8ab94765a
 WHIRLPOOL 
45ba7c52b3ada111f518b2a94d71d8c259040114ae84881c693f6e3491bd4b6897563eba4bccb6ae83a7cb90901bf1723bcbfeb9a124267ed235b1b8fdf61d69

diff --git a/dev-lang/ispc/ispc-1.8.2-r3.ebuild 
b/dev-lang/ispc/ispc-1.8.2-r3.ebuild
new file mode 100644
index 0000000..97bb7a5
--- /dev/null
+++ b/dev-lang/ispc/ispc-1.8.2-r3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils toolchain-funcs python-any-r1
+
+DESCRIPTION="Intel SPMD Program Compiler"
+HOMEPAGE="https://ispc.github.com/";
+
+if [[ ${PV} = *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="git://github.com/ispc/ispc.git"
+       KEYWORDS=""
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+               http://dev.gentoo.org/~ottxor/dist/${P}-llvm-3.7.patch.gz";
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD BSD-2 UoI-NCSA"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+       >=sys-devel/clang-3.7
+       >=sys-devel/llvm-3.7
+       "
+DEPEND="
+       ${RDEPEND}
+       ${PYTHON_DEPS}
+       sys-devel/bison
+       sys-devel/flex
+       "
+
+src_prepare(){
+       epatch "${WORKDIR}/${P}-llvm-3.7.patch"
+}
+
+src_compile() {
+       sed -i '/^\t@/s/@//' Makefile || die #make all slient commands ("@") 
verbose
+       emake LDFLAGS="${LDFLAGS}" OPT="${CXXFLAGS}" CXX="$(tc-getCXX)" 
CPP="$(tc-getCPP)"
+}
+
+src_install() {
+       dobin ispc
+       dodoc README.rst
+
+       if use examples; then
+               insinto "/usr/share/doc/${PF}/examples"
+               docompress -x "/usr/share/doc/${PF}/examples"
+               doins -r examples/*
+       fi
+}

Reply via email to